Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.bridge
Class RelationSet

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.bridge.RelationSet

All Implemented Interfaces:
  Collection, Set

public class RelationSet
extends Object
implements Set

This is the relationship set. An instance of this class is returned when collection valued cmr field is accessed. See the EJB 2.0 specification for a more detailed description or the responsibilities of this class.

Version:
  $Revision: 1.20 $
Author:
  Dain Sundstrom

Constructor Summary
`RelationSet(JDBCCMRFieldBridge cmrField, EntityEnterpriseContext ctx, List[] setHandle, boolean readOnly)`

Method Summary
`boolean` | `add(Object o)`
`boolean` | `addAll(Collection c)`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection c)`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection c)`
`boolean` | `retainAll(Collection c)`
`int` | `size()`
`Object[]` | `toArray()`
`Object[]` | `toArray(Object[] a)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`equals, hashCode`

Constructor Detail

### RelationSet

    public RelationSet(JDBCCMRFieldBridge cmrField,
                       EntityEnterpriseContext ctx,
                       List[] setHandle,
                       boolean readOnly)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Set`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Set`

### add

    public boolean add(Object o)

  Specified by:
    `add` in interface `Set`

### addAll

    public boolean addAll(Collection c)

  Specified by:
    `addAll` in interface `Set`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Set`

### removeAll

    public boolean removeAll(Collection c)

  Specified by:
    `removeAll` in interface `Set`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Set`

### retainAll

    public boolean retainAll(Collection c)

  Specified by:
    `retainAll` in interface `Set`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Set`

### containsAll

    public boolean containsAll(Collection c)

  Specified by:
    `containsAll` in interface `Set`

### toArray

    public Object[] toArray(Object[] a)

  Specified by:
    `toArray` in interface `Set`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Set`

### iterator

    public Iterator iterator()

  Specified by:
    `iterator` in interface `Set`

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.